<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LabelEditAction extends \Google\Protobuf\Internal\Message
{
    


    protected $name = null;
    


    protected $color = null;
    


    protected $predefinedId = null;
    


    protected $deleted = null;
    


    protected $orderIndex = null;
    


    protected $isActive = null;
    


    protected $type = null;
    


    protected $isImmutable = null;
    


    protected $muteEndTimeMs = null;

    
















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    



    public function getColor()
    {
        return isset($this->color) ? $this->color : 0;
    }

    public function hasColor()
    {
        return isset($this->color);
    }

    public function clearColor()
    {
        unset($this->color);
    }

    




    public function setColor($var)
    {
        GPBUtil::checkInt32($var);
        $this->color = $var;

        return $this;
    }

    



    public function getPredefinedId()
    {
        return isset($this->predefinedId) ? $this->predefinedId : 0;
    }

    public function hasPredefinedId()
    {
        return isset($this->predefinedId);
    }

    public function clearPredefinedId()
    {
        unset($this->predefinedId);
    }

    




    public function setPredefinedId($var)
    {
        GPBUtil::checkInt32($var);
        $this->predefinedId = $var;

        return $this;
    }

    



    public function getDeleted()
    {
        return isset($this->deleted) ? $this->deleted : false;
    }

    public function hasDeleted()
    {
        return isset($this->deleted);
    }

    public function clearDeleted()
    {
        unset($this->deleted);
    }

    




    public function setDeleted($var)
    {
        GPBUtil::checkBool($var);
        $this->deleted = $var;

        return $this;
    }

    



    public function getOrderIndex()
    {
        return isset($this->orderIndex) ? $this->orderIndex : 0;
    }

    public function hasOrderIndex()
    {
        return isset($this->orderIndex);
    }

    public function clearOrderIndex()
    {
        unset($this->orderIndex);
    }

    




    public function setOrderIndex($var)
    {
        GPBUtil::checkInt32($var);
        $this->orderIndex = $var;

        return $this;
    }

    



    public function getIsActive()
    {
        return isset($this->isActive) ? $this->isActive : false;
    }

    public function hasIsActive()
    {
        return isset($this->isActive);
    }

    public function clearIsActive()
    {
        unset($this->isActive);
    }

    




    public function setIsActive($var)
    {
        GPBUtil::checkBool($var);
        $this->isActive = $var;

        return $this;
    }

    



    public function getType()
    {
        return isset($this->type) ? $this->type : 0;
    }

    public function hasType()
    {
        return isset($this->type);
    }

    public function clearType()
    {
        unset($this->type);
    }

    




    public function setType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\LabelEditAction\ListType::class);
        $this->type = $var;

        return $this;
    }

    



    public function getIsImmutable()
    {
        return isset($this->isImmutable) ? $this->isImmutable : false;
    }

    public function hasIsImmutable()
    {
        return isset($this->isImmutable);
    }

    public function clearIsImmutable()
    {
        unset($this->isImmutable);
    }

    




    public function setIsImmutable($var)
    {
        GPBUtil::checkBool($var);
        $this->isImmutable = $var;

        return $this;
    }

    



    public function getMuteEndTimeMs()
    {
        return isset($this->muteEndTimeMs) ? $this->muteEndTimeMs : 0;
    }

    public function hasMuteEndTimeMs()
    {
        return isset($this->muteEndTimeMs);
    }

    public function clearMuteEndTimeMs()
    {
        unset($this->muteEndTimeMs);
    }

    




    public function setMuteEndTimeMs($var)
    {
        GPBUtil::checkInt64($var);
        $this->muteEndTimeMs = $var;

        return $this;
    }

}

